package require tcl3d

proc localVec {} {
    set lv [tcl3dVector GLdouble 1]
}

set v1 [tcl3dVector GLdouble 1]
$v1 delete

set v2 [tcl3dVector GLdouble 1]
delete_GLdouble $v2

set v3 [tcl3dVector GLdouble 1]
rename $v3 {}

set v4 [tcl3dVector GLdouble 1]
unset v4

localVec

exit
